Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 15946003: Don't stretch margin: auto items in a vertical flexbox (Closed)

Created:
6 years, 5 months ago by cbiesinger
Modified:
6 years, 4 months ago
CC:
blink-reviews, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering
Visibility:
Public.

Description

Don't stretch margin: auto items in a vertical flexbox Even with align-self: stretch (the default), we shouldn't stretch items that have margin: auto; BUG=242654 R=ojan@chromium.org Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=151314

Patch Set 1 #

Total comments: 1

Patch Set 2 : fix vertical divs and add a test for it #

Total comments: 1

Patch Set 3 : added assert & renamed #

Unified diffs Side-by-side diffs Delta from patch set Stats (+75 lines, -3 lines) Patch
A LayoutTests/css3/flexbox/columns-center-with-margins.html View 1 1 chunk +36 lines, -0 lines 0 comments Download
A LayoutTests/css3/flexbox/columns-center-with-margins-expected.html View 1 1 chunk +31 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderBox.cpp View 1 2 3 chunks +8 lines, -3 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
cbiesinger
6 years, 5 months ago (2013-05-24 00:59:25 UTC) #1
ojan
https://codereview.chromium.org/15946003/diff/1/Source/core/rendering/RenderBox.cpp File Source/core/rendering/RenderBox.cpp (right): https://codereview.chromium.org/15946003/diff/1/Source/core/rendering/RenderBox.cpp#newcode2228 Source/core/rendering/RenderBox.cpp:2228: if (!parent()->style()->isColumnFlexDirection() || parent()->style()->flexWrap() != FlexNoWrap) It's not obvious ...
6 years, 5 months ago (2013-05-24 01:21:57 UTC) #2
cbiesinger
On 2013/05/24 01:21:57, ojan wrote: > https://codereview.chromium.org/15946003/diff/1/Source/core/rendering/RenderBox.cpp > File Source/core/rendering/RenderBox.cpp (right): > > https://codereview.chromium.org/15946003/diff/1/Source/core/rendering/RenderBox.cpp#newcode2228 > ...
6 years, 5 months ago (2013-05-24 01:27:57 UTC) #3
cbiesinger
On 2013/05/24 01:27:57, cbiesinger wrote: > On 2013/05/24 01:21:57, ojan wrote: > > > https://codereview.chromium.org/15946003/diff/1/Source/core/rendering/RenderBox.cpp ...
6 years, 4 months ago (2013-05-24 21:52:59 UTC) #4
ojan
lgtm Fixing the other bug in a separate patch makes sense. https://codereview.chromium.org/15946003/diff/5001/Source/core/rendering/RenderBox.cpp File Source/core/rendering/RenderBox.cpp (right): ...
6 years, 4 months ago (2013-05-24 22:39:09 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cbiesinger@chromium.org/15946003/12001
6 years, 4 months ago (2013-05-24 23:49:40 UTC) #6
commit-bot: I haz the power
Retried try job too often on linux_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_layout_rel&number=10213
6 years, 4 months ago (2013-05-25 00:46:33 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/cbiesinger@chromium.org/15946003/12001
6 years, 4 months ago (2013-05-28 17:15:50 UTC) #8
commit-bot: I haz the power
Retried try job too often on linux_layout_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_layout_rel&number=10537
6 years, 4 months ago (2013-05-28 18:32:41 UTC) #9
cbiesinger
6 years, 4 months ago (2013-05-28 22:06:43 UTC) #10
Message was sent while issue was closed.
Committed patchset #3 manually as r151314 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698